//LINKASM  JOB (?,?),'ASSEMBLE EXCI',MSGCLASS=O,CLASS=D,                        
//         NOTIFY=??,REGION=4000K                                               
//*--------------------------------------------------------------               
//DFHEXTAL PROC SUFFIX=1,           Suffix for translator module               
//       ASMBLR=IEV90,               Name of assembler module                   
//       INDEX='CICS41',             Qualifier(s) for CICS libraries            
//       PROGLIB='CICS41.SDFHEXCI',  Name of output library                     
//       DSCTLIB='CICS41.SDFHMAC',   Name of private macro/DSECT lib            
//       OUTC=*,                     Class for print output                     
//       REG=2M,                     Region size for all steps                  
//       LNKPARM='AMODE(31),LIST,XREF,LET',                                     
//*                                  Link edit parameters                       
//       WORK=SYSDA                  Unit for work datasets                     
//*                                                                             
//*      This procedure is used to translate,assemble and linkedit              
//*      batch application programs using the external CICS                     
//*      interface (EXCI).                                                      
//*                                                                             
//*      The procedure contains 4 steps                                         
//*      1.   Exec the assembler translator                                     
//*           (using the supplied suffix 1)                                    
//*      2.   Exec the assembler                                                
//*      3.   Reblock SDFHMAC(DFHEXLI) for use by the linkedit step             
//*      4.   Linkedit the output to dataset &PROGLIB                           
//*                                                                             
//*      The following JCL should be used                                       
//*      to execute this procedure                                              
//*                                                                             
//*      //APPLPROG EXEC DFHEXTAL                                               
//*      //TRN.SYSIN  DD *                                                      
//*         .                                                                   
//*         . Application program                                               
//*         .                                                                   
//*      /*                                                                     
//*      //LKED.SYSIN DD *                                                      
//*         NAME anyname(R)                                                     
//*      /*                                                                     
//*                                                                             
//*      Where   anyname   is the name of your application program.             
//*      (refer to the system definition guide for full details.)               
//*                                                                             
//TRN    EXEC PGM=DFHEAP&SUFFIX,                                                
//            REGION=&REG                                                       
//STEPLIB  DD DSN=&INDEX..SDFHLOAD,DISP=SHR                                     
//SYSPRINT DD SYSOUT=&OUTC                                                      
//SYSPUNCH DD DSN=&&SYSCIN,                                                     
//            DISP=(,PASS),UNIT=&WORK,                                          
//            DCB=BLKSIZE=400,                                                  
//            SPACE=(400,(400,100))                                             
//*                                                                             
//ASM    EXEC PGM=&ASMBLR,                                                      
//            REGION=&REG,                                                      
//            PARM='DECK,NOOBJECT,LIST'                                         
//SYSLIB   DD DSN=&DSCTLIB,DISP=SHR                                             
//         DD DSN=&INDEX..SDFHMAC,DISP=SHR                                      
//         DD DSN=&INDEX..SDFHSAMP,DISP=SHR                                     
//         DD DSN=SYS1.MACLIB,DISP=SHR                                          
//SYSUT1   DD UNIT=&WORK,SPACE=(1700,(400,400))                                 
//SYSUT2   DD UNIT=&WORK,SPACE=(1700,(400,400))                                 
//SYSUT3   DD UNIT=&WORK,SPACE=(1700,(400,400))                                 
//SYSPUNCH DD DSN=&&LOADSET,                                                    
//            UNIT=&WORK,DISP=(,PASS),                                          
//            SPACE=(400,(100,100))                                             
//SYSPRINT DD SYSOUT=&OUTC                                                      
//SYSIN    DD DSN=&&SYSCIN,DISP=(OLD,DELETE)                                    
//*                                                                             
//COPYLINK EXEC PGM=IEBGENER,COND=(7,LT,ASM)                                    
//SYSUT1   DD DSN=&INDEX..SDFHMAC(DFHEXLI),DISP=SHR                             
//SYSUT2   DD DSN=&&COPYLINK,DISP=(NEW,PASS),                                   
//            DCB=(LRECL=80,BLKSIZE=400,RECFM=FB),                              
//            UNIT=&WORK,SPACE=(400,(20,20))                                    
//SYSPRINT DD SYSOUT=&OUTC                                                      
//SYSIN    DD DUMMY                                                             
//*                                                                             
//LKED   EXEC PGM=IEWL,REGION=&REG,                                             
//            PARM='&LNKPARM',COND=(7,LT,ASM)                                   
//SYSLIB   DD DSN=&INDEX..SDFHEXCI,DISP=SHR                                     
//SYSLMOD  DD DSN=&PROGLIB,DISP=SHR                                             
//SYSUT1   DD UNIT=&WORK,DCB=BLKSIZE=1024,                                      
//            SPACE=(1024,(200,20))                                             
//SYSPRINT DD SYSOUT=&OUTC                                                      
//SYSLIN   DD DSN=&&LOADSET,DISP=(OLD,DELETE)                                   
//         DD DSN=&&COPYLINK,DISP=(OLD,DELETE)                                  
//         DD DDNAME=SYSIN                                                      
//         PEND                                                                 
//*--------------------------------------------------------------               
//CA1DLINK EXEC DFHEXTAL,PROGLIB='MVS.LOADLIB'                                  
//TRN.SYSIN  DD DSN=CA1DLINK.ASSEMBLE,DISP=SHR                                  
//LKED.SYSIN DD *                                                               
         NAME CA1DLINK(R)                                                       
/*                                                                              
//                                                                              
